
From: Adrian Bunk <bunk@stusta.de>

gcc correctly complained about a division by zero for HZ < 1000.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/wireless/ipw2200.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wireless/ipw2200.c~drivers-net-wireless-ipw2200c-remove-division-by-zero drivers/net/wireless/ipw2200.c
--- 25/drivers/net/wireless/ipw2200.c~drivers-net-wireless-ipw2200c-remove-division-by-zero	Mon Jul 11 15:13:55 2005
+++ 25-akpm/drivers/net/wireless/ipw2200.c	Mon Jul 11 15:13:55 2005
@@ -1170,7 +1170,7 @@ static int ipw_send_cmd(struct ipw_priv 
 		HOST_COMPLETE_TIMEOUT);
 	if (rc == 0) {
 		IPW_DEBUG_INFO("Command completion failed out after %dms.\n",
-			       HOST_COMPLETE_TIMEOUT / (HZ / 1000));
+			       (1000 * HOST_COMPLETE_TIMEOUT) / HZ);
 		priv->status &= ~STATUS_HCMD_ACTIVE;
 		return -EIO;
 	}
_
